Bug 170947 - openmotif places files under /usr/X11R6
openmotif places files under /usr/X11R6
Product: Fedora
Classification: Fedora
Component: openmotif (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Depends On:
Blocks: X11R6-MIGRATE
  Show dependency treegraph
Reported: 2005-10-15 23:19 EDT by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-06 11:13:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 1 Thomas Woerner 2005-11-17 07:51:53 EST
Fixed in rawhide in rpm openmotif-2.2.3-14 or newer.
Comment 2 Patrice Dumas 2006-03-09 04:08:52 EST
I have tried an update from FC-4 to rawhide with yum and there seems to be some
issues with openmotif include files.

/usr/X11R6/include/Mrm uil Xm are still present but unowned:
[dumas@nor75-15-82-67-190-22 include]$ rpm -qf /usr/X11R6/include/Mrm/
file /usr/X11R6/include/Mrm is not owned by any package

The files within those directories are all owned by openmotif:
[dumas@nor75-15-82-67-190-22 include]$ rpm -qf /usr/X11R6/include/Mrm/MrmAppl.h

They don't appear in rpm -ql:
[dumas@nor75-15-82-67-190-22 include]$ rpm -ql openmotif-devel | grep X11R6

echoes nothing.
But they seem to be in /usr/include:
[dumas@nor75-15-82-67-190-22 include]$ rpm -ql openmotif-devel | grep MrmAppl.h

Indeed /usr/include/Mrm (for example) is a link to X11R6:
[dumas@nor75-15-82-67-190-22 ~]$ ls -l /usr/include/Mrm
lrwxrwxrwx 1 root root 20 jan 23 18:09 /usr/include/Mrm -> ../X11R6/include/Mrm

Maybe this is a non issue, if anaconda knows how to deal with that.

As a side note, that may be relevant or not to the openmotif issue, there are
other X include files remaining in X11R6/include/X11.
Comment 3 Thomas Woerner 2006-06-06 11:13:20 EDT
This is an update problem from monolith X to modular X. The old X prefix was
/usr/X11R6 and the new one is /usr. While updating there are files still in
/usr/X11R6 and threfore it is not possible to remove this directory. The new
files are placed in /usr and there are compa links for old files from
/usr/X11R6. It is not possible to solve this update-problem completely.

Closing as "CANTFIX".

Note You need to log in before you can comment on or make changes to this bug.